using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;

public partial class ClientChanges : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        foreach (ClientOperation<RadTreeNode> operation in RadTreeView1.ClientChanges)
        {
            RadTreeNode node = operation.Item;

            switch (operation.Type)
            {
                case ClientOperationType.Insert:
                    break;
                case ClientOperationType.Remove:
                    break;
                case ClientOperationType.Update:
                    UpdateClientOperation<RadTreeNode> update = operation as UpdateClientOperation<RadTreeNode>;
                    if (update.PropertyName == "Text")
                    {
                        //the text of the node has been changed
                        Button1.Text += " The new text is: " + node.Text;
                    }
                    break;
                case ClientOperationType.Clear:
                    break;
            }
        }

    }
}
